import request from '@/utils/request'

// 查询发学术论文列表
export function listPublish(query) {
  return request({
    url: '/system/publish/list',
    method: 'get',
    params: query
  })
}

// 查询发学术论文详细
export function getPublish(id) {
  return request({
    url: '/system/publish/' + id,
    method: 'get'
  })
}

// 新增发学术论文
export function addPublish(data) {
  return request({
    url: '/system/publish',
    method: 'post',
    data: data
  })
}

// 修改发学术论文
export function updatePublish(data) {
  return request({
    url: '/system/publish',
    method: 'put',
    data: data
  })
}

// 删除发学术论文
export function delPublish(id) {
  return request({
    url: '/system/publish/' + id,
    method: 'delete'
  })
}



// 新增发学术论文
export function startPublish(data) {
  return request({
    url: '/system/publish/startPublish',
    method: 'post',
    data: data
  })
}

// 查询发学术论文详细
export function getPublishByWorkId(id) {
  return request({
    url: '/system/publish/sel/' + id,
    method: 'get'
  })
}
